summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTony Vroon <chainsaw@gentoo.org>2017-09-11 14:08:05 +0100
committerTony Vroon <chainsaw@gentoo.org>2017-09-11 14:08:05 +0100
commit51ef6245f0e7836ac8d053eabcc8a2498e274627 (patch)
treee942b6a40d4f6243c7d0da38c56324e115d00345 /app-mobilephone
parentx11-plugins/purple-facebook: Remove old ebuilds. (diff)
downloadgentoo-51ef6245f0e7836ac8d053eabcc8a2498e274627.tar.gz
gentoo-51ef6245f0e7836ac8d053eabcc8a2498e274627.tar.bz2
gentoo-51ef6245f0e7836ac8d053eabcc8a2498e274627.zip
app-mobilephone/smstools: Version bump to 3.1.21
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'app-mobilephone')
-rw-r--r--app-mobilephone/smstools/Manifest1
-rw-r--r--app-mobilephone/smstools/smstools-3.1.21.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/app-mobilephone/smstools/Manifest b/app-mobilephone/smstools/Manifest
index e51e3fdb0e2..8b46acfaca1 100644
--- a/app-mobilephone/smstools/Manifest
+++ b/app-mobilephone/smstools/Manifest
@@ -1 +1,2 @@
DIST smstools3-3.1.15.tar.gz 300088 SHA256 ed00ffaeaa312a5b4f969f4e97a64603a866bbe16e393ea02f5bf05234814d59 SHA512 6a4cc852327fac27b00fc58def4bbc8caa395552586fe1b84f0f4a9f7f6b00008943b85c86de0821036629c58cf04840a189d711b4ac96f7ddaafd6b340b11fa WHIRLPOOL b394c4c620622dcfdf1d0b098a51f589ee59869fbd58c0b778e51f76335a396c3d4972423374f2ee191263cf7c350cf2432e0b120f594f77f17cdbbcc4b4e974
+DIST smstools3-3.1.21.tar.gz 356548 SHA256 a26ba4c02b16f6cf13177bffca6c9230dc5fefaeba8e3030cd4e4905f6a92084 SHA512 0587e5020a0318351ca99b68baa1c19411824279055857a5b5aa4e346cae373fe94a811eaca6767bcf991cf849eaaa66ec120f046420531a6088cdde9373db31 WHIRLPOOL 44bba9f7c0e3c9eb73c27ae47d9ad57320eddd931393e4675e7160c66c1c17d587273ad090357842a88152ea3ca1009a9f0c4547d433cd796f46d15b0c8fb467
diff --git a/app-mobilephone/smstools/smstools-3.1.21.ebuild b/app-mobilephone/smstools/smstools-3.1.21.ebuild
new file mode 100644
index 00000000000..d041d82242a
--- /dev/null
+++ b/app-mobilephone/smstools/smstools-3.1.21.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd toolchain-funcs user eutils
+
+DESCRIPTION="Send and receive short messages through GSM modems"
+HOMEPAGE="http://smstools3.kekekasvi.com/"
+SRC_URI="http://smstools3.kekekasvi.com/packages/smstools3-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~ppc"
+IUSE="stats"
+
+DEPEND=""
+RDEPEND="sys-process/procps
+ stats? ( >=dev-libs/mm-1.4.0 )"
+
+S="${WORKDIR}/${PN}3"
+
+pkg_setup() {
+ enewgroup sms
+ enewuser smsd -1 -1 /var/spool/sms sms
+}
+
+src_prepare() {
+ default
+ if use stats; then
+ sed -i -e "s:CFLAGS += -D NOSTATS:#CFLAGS += -D NOSTATS:" \
+ "${S}/src/Makefile" || die
+ fi
+ echo "CFLAGS += ${CFLAGS}" >> src/Makefile || die
+}
+
+src_compile() {
+ cd src || die
+ emake \
+ CC="$(tc-getCC)" \
+ LFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ dobin src/smsd
+ cd scripts || die
+ dobin sendsms sms2html sms2unicode unicode2sms
+ dobin hex2bin hex2dec email2sms
+ dodoc mysmsd smsevent smsresend sms2xml sql_demo \
+ smstest.php checkhandler-utf-8 eventhandler-utf-8 \
+ forwardsms regular_run
+ cd .. || die
+
+ keepdir /var/spool/sms/incoming
+ keepdir /var/spool/sms/outgoing
+ keepdir /var/spool/sms/checked
+ fowners -R smsd:sms /var/spool/sms
+ fperms g+s /var/spool/sms/incoming
+
+ newinitd "${FILESDIR}"/smsd.initd3 smsd
+ insopts -o smsd -g sms -m0644
+ insinto /etc
+ newins examples/smsd.conf.easy smsd.conf
+ dohtml -r doc
+
+ systemd_dounit "${FILESDIR}"/smsd.service
+ systemd_newtmpfilesd "${FILESDIR}"/smsd.tmpfiles smsd.conf
+}
+
+pkg_postinst() {
+ touch "${ROOT}"/var/log/smsd.log || die
+ chown -f smsd:sms "${ROOT}"/var/log/smsd.log
+}